%define momorel 5
%{?!OmoiKondara_enable_debug: %global OmoiKondara_enable_debug 0}
#---------------------------------------------------------------------------
Summary: A DVI viewer for X Window System.
Name: xdvik
Version: 22.40w
Release: %{momorel}m
Group: Applications/Publishing
License: LGPL
URL: http://xdvi.sourceforge.net/
#---------------------------------------------------------------------------
# for specopt
%include_specopt

#---------------------------------------------------------------------------
Source0: http://telia.dl.sourceforge.net/sourceforge/xdvi/xdvik-%{version}.tar.gz
NoSource: 0

Source10: vfontmap.momonga
Source11: Makefile.in.oxdvik

Patch0: http://www.nn.iij4u.or.jp/~tutimura/tex/xdvik-22.40w-j1.17.patch.gz
Patch1: xdvik-22.40w-shared-kpathsea.patch
Patch2: xdvik-22.40w-freetype2.patch
#---------------------------------------------------------------------------
BuildRequires: kpathsea-devel, freetype2-devel, Xaw3d-devel
BuildRequires: w3c-libwww-devel >= 5.2.1
BuildRequires: t1lib >= 5.0.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#---------------------------------------------------------------------------
PreReq: kpathsea
Requires: tetex, tetex-dvipsk, tetex-type1, ghostscript
Requires: w3c-libwww
Provides: tetex-xdvi
Obsoletes: tetex-xdvi

%description
Xdvik is a program for displaying DVI files (generated e.g. by Troff
or TeX) on the X window system. It is based on the regular (non-k)
xdvi of the same version number.
#---------------------------------------------------------------------------
%define texmfdir	%{_datadir}/texmf
%define fontsdir	%{_datadir}/fonts
#---------------------------------------------------------------------------
%prep
%setup -q
%patch0 -p1 -b .jp
%patch1 -p1 -b .kpathsea
%patch2 -p1 -b .freetype2

%__mkdir_p texk/oxdvik
(
  cd texk/oxdvik
  for i in ../xdvik/*; do
    [ $i != ../xdvik/Makefile.in ] && %__ln_s -f $i `basename $i`
  done
)
%__cp -f %{S:11} texk/oxdvik/Makefile.in
#---------------------------------------------------------------------------
%build
for i in xdvik oxdvik; do
  (
    cd texk/$i
    %configure \
      --disable-multiplatform \
      --with-x \
      --with-x-toolkit=xaw3d \
      --with-ps=gs \
      --with-vfontmap=yes \
      --with-vflib=vf2ft \
      --with-dvifilter=dvips \
      --enable-gray \
      --enable-buttons \
      --enable-statusline \
      --enable-t1lib \
      --enable-gf \
      --enable-a4 \
      --enable-vikey \
      --enable-smallpanel \
      --enable-zoombutton \
      --enable-bdpi=600 \
      --enable-shrink=10 \
      --with-system-wwwlib \
      --with-system-t1lib

    make %{?_smp_mflags} texmf=%{texmfdir}
  )
done
#---------------------------------------------------------------------------
%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
for i in xdvik oxdvik; do
  (
    cd texk/$i
    %makeinstall texmf=%{buildroot}%{texmfdir}
  )
done

%__sed -e 's!@fontsdir@!%{fontsdir}!g' \
  < %{S:10} \
  > %{buildroot}%{texmfdir}/xdvi/vfontmap
#---------------------------------------------------------------------------
%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
#---------------------------------------------------------------------------
%post
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null
#---------------------------------------------------------------------------
%files
%defattr(-, root, root)
	%{_bindir}/oxdvi*
	%{_bindir}/t1mapper
	%{_bindir}/xdvi*
	%{_mandir}/man1/*.1*
	%{texmfdir}/xdvi
#---------------------------------------------------------------------------
%changelog
* Thu Jul  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (22.40w-5m)
- revise vfontmap.momonga for sazanami fonts [Momonga-devel.ja:02609]

* Sat Jun 12 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (22.40w-4m)
- add Requires: w3c-libwww

* Sun Jul  6 2003 Kazuhiko <kazuhiko@fdiary.net>
- (22.40w-3m)
- Provides tetex-xdvi for update

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (22.40w-2m)
- PreReq: kpathsea.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (22.40w-1m)
- version 22.40w.
- split from tetex.spec.
